<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2021 rel. 3 (x64) (http://www.altova.com) by VASILIOS PERGIOUDAKIS (CYBERCE S.A.) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.aade.gr/fuel/inoutflow/inflow" xmlns:common="http://www.aade.gr/fuel/inoutflow/common" targetNamespace="http://www.aade.gr/fuel/inoutflow/inflow" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://www.aade.gr/fuel/inoutflow/common" schemaLocation="../common/BasicEntities.xsd"/>
	<xs:element name="InflowRequest">
		<xs:annotation>
			<xs:documentation>Δελτίο Εισόδου / Εισροής</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Inflow" type="InflowType"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="TicketIType">
		<xs:complexContent>
			<xs:extension base="common:TicketBasicType">
				<xs:sequence>
					<xs:element name="MeasureType" nillable="false">
						<xs:annotation>
							<xs:documentation>Ένδειξη για το αν πρόκειται για «Προμέτρηση / Επιμέτρηση»</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:length value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Difference" nillable="false">
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="TankIType">
		<xs:complexContent>
			<xs:extension base="common:TankBasicType">
				<xs:sequence>
					<xs:element name="Type" nillable="false">
						<xs:annotation>
							<xs:documentation>Ένδειξη για το αν η δεξαμενη αφορά σε Φορολογική Αποθήκη ή Αποθήκη Τελωνειακής Αποταμίευσης</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:length value="1"/>
								<xs:pattern value="1"/>
								<xs:pattern value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Identifier">
						<xs:annotation>
							<xs:documentation>Αριθμός Ε.Φ.Κ ή αριθμός Άδειας Λειτουργίας της Τ.Α.</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:maxLength value="50"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="MeasureIType">
		<xs:complexContent>
			<xs:extension base="common:MeasureBasicType">
				<xs:sequence>
					<xs:element name="Level" nillable="false">
						<xs:annotation>
							<xs:documentation>Τρέχον ύψος της στάθμης (mm)</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Temperature" nillable="false">
						<xs:annotation>
							<xs:documentation>Θερμοκρασία (o C)</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="VolumeNatTemperature" nillable="false">
						<xs:annotation>
							<xs:documentation>Όγκος καυσίμου στη φυσική θερμοκρασία</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="DensityGXK" nillable="false">
						<xs:annotation>
							<xs:documentation>Πυκνότητα στους 15ο C / 20ο C (ΓΧΚ)</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Density" nillable="false">
						<xs:annotation>
							<xs:documentation>Πυκνότητα στους 15ο C / 20ο C (αυτόματα)</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="DocumentIType">
		<xs:sequence>
			<xs:element name="Type" nillable="false">
				<xs:annotation>
					<xs:documentation>Τύπος Aναφοράς Eγγράφου</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="6"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="Number" nillable="false">
				<xs:annotation>
					<xs:documentation>Αριθμός Αναφοράς Εγγράφου</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="100"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="MediumIdentifier" nillable="false" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Όνομα του πλοίου καθώς και ο αριθμός ΙΜΟ/ αγωγός/ αριθμός κυκλοφορίας ΒΦ ή τα στοιχεία οποιουδήποτε άλλου μεταφορικού μέσου</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="1000"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="TankCode" nillable="true" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Αριθμός Μητρώου συμμετέχουσας Δεξαμενής (στην εφαρμογή της ΑΑΔΕ)</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="50"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="RefQuantity" nillable="false">
				<xs:annotation>
					<xs:documentation>Ποσότητα καυσίμου που αναγράφεται στο έγγραφο </xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="InflowQuantity" nillable="false" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Εισερχόμενη ποσότητα καυσίμου στη δεξαμενή σε λίτρα στους 15ο C / 20ο C που σχετίζεται με το έγγραφο (σε περίπτωση παραλαβής με γεφυροπλάστιγγα) </xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="InflowType">
		<xs:sequence>
			<xs:element name="Ticket" type="TicketIType">
				<xs:annotation>
					<xs:documentation>Δελτίο</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Tank" type="TankIType">
				<xs:annotation>
					<xs:documentation>Δεξαμενή</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Fuel" type="common:FuelBasicType">
				<xs:annotation>
					<xs:documentation>Καύσιμο</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeasurePre" type="MeasureIType">
				<xs:annotation>
					<xs:documentation>Μέτρηση Πριν την Εισροή</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeasurePost" type="MeasureIType">
				<xs:annotation>
					<xs:documentation>Μέτρηση Μετά την Εισροή</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Documents">
				<xs:annotation>
					<xs:documentation>Έγγραφα</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="Document" type="DocumentIType" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>